Click or drag to resize

CurveCreateSoftEditCurve Method

Creates a soft edited curve from an exising curve using a smooth field of influence.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Curve CreateSoftEditCurve(
	Curve curve,
	double t,
	Vector3d delta,
	double length,
	bool fixEnds
)

Parameters

curve
Type: Rhino.GeometryCurve
The curve to soft edit.
t
Type: SystemDouble
A parameter on the curve to move from. This location on the curve is moved, and the move is smoothly tapered off with increasing distance along the curve from this parameter.
delta
Type: Rhino.GeometryVector3d
The direction and magitude, or maximum distance, of the move.
length
Type: SystemDouble
The distance along the curve from the editing point over which the strength of the editing falls off smoothly.
fixEnds
Type: SystemBoolean

[Missing <param name="fixEnds"/> documentation for "M:Rhino.Geometry.Curve.CreateSoftEditCurve(Rhino.Geometry.Curve,System.Double,Rhino.Geometry.Vector3d,System.Double,System.Boolean)"]

Return Value

Type: Curve
The soft edited curve if successful. null on failure.
Version Information

Rhino for Windows

Supported in: 6.1 BETA
See Also